{pkgs, ...}: let
  sddm-astronaut = pkgs.sddm-astronaut.override {
    embeddedTheme = "hyprland_kath";
  };
in {
  environment.systemPackages = [sddm-astronaut];

  services.displayManager = {
    sddm = {
      package = pkgs.kdePackages.sddm;
      extraPackages = with pkgs.kdePackages; [
        qtsvg
        qtmultimedia
        qtvirtualkeyboard
      ];
      enable = true;
      wayland.enable = true;
      autoNumlock = true;
      enableHidpi = false;
      theme = "sddm-astronaut-theme";
    };
  };
}
